| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iKDTreeObjectDescriptor Struct Reference
[Geometry utilities]

If you implement this interface then you can give that to the KDtree. More...

`#include <csgeom/kdtree.h>`

Inheritance diagram for iKDTreeObjectDescriptor:

[legend]
List of all members.

## Detailed Description

If you implement this interface then you can give that to the KDtree.

The KDtree can then use this to find the description of an object. This can be used for debugging as the KDtree will print out that description if it finds something is wrong.

Definition at line 50 of file kdtree.h.

The documentation for this struct was generated from the following file:

- csgeom/kdtree.h